
source("/Users/brentjohnson/Documents/Papers/VarSelection/BJDS/Coding/RCodePublic/bjfrdspath_all.R")


library(lpSolve)
library(survival)


n=60
p=8
beta=c(3,3/2,0,0,2,0,0,0)
x=matrix(rnorm(n*p),n,p)
yt=x%*%beta + 2*rnorm(n)
u=runif(n,0,8)
y=pmin(yt,u)
delta=yt<=u


# to make picture of coefficient path
# ====================================
ft1 <- bjfrdspath(x,y,delta,actset0=1:p,gehan.flag=TRUE, # use Gehan estimate to initialize
	L=100,lamvec=NULL,tol=1e-4,maxit=10,standardize=TRUE,standardize.y=TRUE) 

ft2 <- bjfrdspath(x,y,delta,actset0=1:p,gehan.flag=FALSE, # use BJ estimate to initialize
	L=100,lamvec=NULL,tol=1e-4,maxit=10,standardize=TRUE,standardize.y=TRUE)

par(mfrow=c(1,2))
matplot(ft1$s,ft1$path,type="l",xlab="norm(coef)",ylab="coef")
matplot(ft2$s,ft2$path,type="l",xlab="norm(coef)",ylab="coef")
